﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace IS_Hospital
{
    /// <summary>
    /// Логика взаимодействия для MainMenu.xaml
    /// </summary>
    public partial class MainMenu : Window
    {
        public MainMenu()
        {
            InitializeComponent();
            HospitalContext context = new HospitalContext();
            var items = context.ListNews;

            string somePost;
            foreach (var item in items)
            {
                somePost = $"Новость от {item.DatePublication}. Название: {item.Title}\n" +
                    $"Описание: {item.DiscriptNews}";
                ListNews.Items.Add(somePost);
            }

            if (ListNews.Items.Count == 0)
            {
                ListNews.Items.Add("Список новостей пуст.");
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            MakeAppointment makeAppointment = new MakeAppointment();
            makeAppointment.Show();
            this.Hide();
        }
    }
}
