﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace IS_Hospital
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnSign_Click(object sender, RoutedEventArgs e)
        {
            HospitalContext context = new HospitalContext();
            var users = context.Users;
            User user = users.SingleOrDefault(x => x.LoginUser == LoginBox.Text && x.PasswordUser == PassBox.Password);
            if (user == null)
            {
                MessageBox.Show("Пользователь не найден!");
            }
            else
            {
                PersonSave.IdUser = user.IdUser;
                PersonSave.Login = user.LoginUser;
                PersonSave.Pass = user.PasswordUser;
                PersonSave.IdPatient = user.IdPatient;
                PersonSave.IdDoctor = user.IdDoctor;
                PersonSave.Status = user.IdStatus;

                MainMenu homeWindow = new MainMenu();
                homeWindow.Show();
                this.Hide();
            }
        }

        private void btnReg_Click(object sender, RoutedEventArgs e)
        {
            Register reg = new Register();
            reg.Show();
            this.Hide();
        }
    }
}
