﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace IS_Hospital
{
    /// <summary>
    /// Логика взаимодействия для MakeAppointment.xaml
    /// </summary>
    public partial class MakeAppointment : Window
    {
        public MakeAppointment()
        {
            InitializeComponent();
            HospitalContext context = new HospitalContext();
            var post = context.Posts;

            foreach(var somepost in post)
            {
                Post.Items.Add(somepost.TitlePost);
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (Convert.ToDateTime(Date.Text) > DateTime.Now)
            {
                MessageBox.Show($"Запись на {Date.Text} Сделанна.\n{FullName.Text} записан к {Post.Text}");
            }
            else
            {
                MessageBox.Show($"Записа на день который уже прошёл невозможна!\nВы хотели записатся на {Date.Text} но сегодня {DateTime.Now}");
            }
            // Scaffold-DbContext 'Data Source=(localdb)\MSSQLLocalDB;Database=Hospital;Initial Catalog=Chinook' -Table Record Microsoft.EntityFrameworkCore.SqlServer
            MainMenu mainMenu = new MainMenu();
            mainMenu.Show();
            this.Hide();
        }
    }
}
